<div>
    <h2 id="page-heading">
        <span>Posts</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-post" [routerLink]="['/post/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span >
            Create new Post
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="posts">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span>Title</span></th>
            <th><span>Body</span></th>
            <th><span>Image</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let post of posts ;trackBy: trackId">
                <td [innerHTML] = "post.title"></td>
                <td [innerHTML] = "post.body"></td>
                <td>
                    <a *ngIf="post.image" (click)="openFile(post.imageContentType, post.image)">
                        <img [src]="'data:' + post.imageContentType + ';base64,' + post.image" style="max-height: 30px;" alt="post image"/>
                    </a>
                    <span *ngIf="post.image">{{post.imageContentType}}</span>
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/post', post.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/post', post.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'post/'+ post.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
